import { type DomainEvent } from '@modules/shared';

export class MarketIndexUpdatedEvent implements DomainEvent {
  readonly eventName = 'market-index.updated';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly district: string,
    public readonly city: string,
    public readonly period: string,
  ) {}
}
